https://api.knoxapi.comPOST /v1/apple_pay/domains
POST/v1/apple_pay/domains
Create an apple pay domain.
Body parameters
domain_namestringRequiredexpandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The apple_pay_domain object.
curl https://api.knoxapi.com/v1/apple_pay/domains \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d domain_name=example.comconst Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/apple_pay/domains', {
domain_name: 'example.com',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/apple_pay/domains", domain_name="example.com")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/apple_pay/domains', {
domain_name: 'example.com',
}){
"created": 1234567890,
"domain_name": "example.com",
"id": "apwc_1Pgc6oB7WZ01zgkWHz71O4bz",
"livemode": true,
"object": "apple_pay_domain"
}GET /v1/apple_pay/domains
GET/v1/apple_pay/domains
List apple pay domains.
Query parameters
domain_namestringending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of apple_pay_domain objects.
curl -G https://api.knoxapi.com/v1/apple_pay/domains \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/apple_pay/domains', {
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/apple_pay/domains", limit=3)require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/apple_pay/domains', {
limit: 3,
}){
"object": "list",
"url": "/v1/apple_pay/domains",
"has_more": false,
"data": [
{
"created": 1234567890,
"domain_name": "example.com",
"id": "apwc_1Pgc6oB7WZ01zgkWHz71O4bz",
"livemode": true,
"object": "apple_pay_domain"
}
]
}GET /v1/apple_pay/domains/{domain}
GET/v1/apple_pay/domains/{domain}
Retrieve an apple pay domain.
Path parameters
domainstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The apple_pay_domain object.
curl https://api.knoxapi.com/v1/apple_pay/domains/apwc_1Pgc6oB7WZ01zgkWHz71O4bz \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/apple_pay/domains/apwc_1Pgc6oB7WZ01zgkWHz71O4bz');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/apple_pay/domains/apwc_1Pgc6oB7WZ01zgkWHz71O4bz")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/apple_pay/domains/apwc_1Pgc6oB7WZ01zgkWHz71O4bz'){
"created": 1234567890,
"domain_name": "example.com",
"id": "apwc_1Pgc6oB7WZ01zgkWHz71O4bz",
"livemode": true,
"object": "apple_pay_domain"
}DELETE /v1/apple_pay/domains/{domain}
DELETE/v1/apple_pay/domains/{domain}
Delete an apple pay domain.
Path parameters
domainstringRequired
Returns
The deleted_apple_pay_domain object.
curl -X DELETE https://api.knoxapi.com/v1/apple_pay/domains/apwc_1Pgc6oB7WZ01zgkWHz71O4bz \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('DELETE', '/v1/apple_pay/domains/apwc_1Pgc6oB7WZ01zgkWHz71O4bz');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("delete", "/v1/apple_pay/domains/apwc_1Pgc6oB7WZ01zgkWHz71O4bz")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:delete, '/v1/apple_pay/domains/apwc_1Pgc6oB7WZ01zgkWHz71O4bz'){
"deleted": true,
"id": "apwc_1Pgc6oB7WZ01zgkWHz71O4bz",
"object": "apple_pay_domain"
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.